Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357882 - Sort the 'Use Host' list alphabetically in the add Direct Lun dialog
Summary: Sort the 'Use Host' list alphabetically in the add Direct Lun dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ovirt-4.1.0-alpha
: ---
Assignee: Tal Nisan
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 13:16 UTC by Vladimir Vasilev
Modified: 2017-04-25 01:04 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-25 01:04:37 UTC
oVirt Team: Storage
gklein: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:0997 normal SHIPPED_LIVE Red Hat Virtualization Manager (ovirt-engine) 4.1 GA 2017-04-18 20:11:26 UTC

Description Vladimir Vasilev 2016-07-19 13:16:03 UTC
Description of problem:
When one tries to add Direct Lun the list of "Use Host" is not sorted alphabetically. 

Version-Release number of selected component (if applicable):
Tested on 3.6.7.5-0.1

How reproducible:
100%

Steps to Reproduce:
1. In RHEV-M go to Disks -> Add
2. Select External (Direct Lun)
3. Check the value of "Use Host" drop down.

Actual results:
Hosts displayed in random order

Expected results:
Hosts displayed in alphabetical order

Additional info:
If you try to migrate a VM for example the list of hosts is correctly sorted.

Comment 1 Raz Tamir 2016-11-27 13:55:52 UTC
Verified on -  
ovirt-engine-4.1.0-0.0.master.20161126211319.gitae69c34.el7.centos.noarch

Comment 2 Raz Tamir 2016-12-19 16:26:20 UTC
Verified on ovirt-engine-4.1.0-0.2.master.20161215123221.git751a3b6.el7.centos.noarch

The hosts in the add direct lun dialog are sorted alphabetically


Note You need to log in before you can comment on or make changes to this bug.